### Constructor

# GimpUi IntComboBox new

since: 2.2

#### Declaration [src]

    GtkWidget*
    gimp_int_combo_box_new (
      const gchar* first_label,
      gint first_value,
      ...
    )

#### Description [src]

Creates a GtkComboBox that has integer values associated with each item. The items to fill the combo box with are specified as a `NULL` terminated list of label/value pairs.

If you need to construct an empty `GimpIntComboBox`, it’s best to use g_object_new (GIMP_TYPE_INT_COMBO_BOX, NULL).

Available since: 2.2

This constructor is not directly available to language bindings.

The implementation of this constructor is provided by `()` in language bindings.

#### Parameters

`first_label`

  Type: `const gchar*`

  The label of the first item.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`first_value`

  Type: `gint`

  The value of the first item.

`...`

  Type: ``

  A `NULL` terminated list of more label, value pairs.

#### Return value

Type: `GtkWidget`

A new `GimpIntComboBox`.

The data is owned by the called function.